[PATCH] Prepare gl_model.h files for merge

diff -urN -X exclude a/NQ/gl_model.h head/NQ/gl_model.h
--- a/NQ/gl_model.h	2006-06-10 18:57:16.000000000 +0930
+++ head/NQ/gl_model.h	2006-06-10 20:55:02.000000000 +0930
@@ -21,12 +21,16 @@
 #ifndef GL_MODEL_H
 #define GL_MODEL_H
 
-#include "modelgen.h"
-#include "spritegn.h"
 #include "bspfile.h"
+#include "modelgen.h"
 #include "render.h"
+#include "spritegn.h"
 #include "zone.h"
 
+#ifdef QW_HACK
+#include "bothdefs.h"
+#endif
+
 /*
 
 d*_t structures are on-disk representations
@@ -36,11 +40,12 @@
 
 // entity effects
 
-#define	EF_BRIGHTFIELD	1
-#define	EF_MUZZLEFLASH 	2
-#define	EF_BRIGHTLIGHT 	4
-#define	EF_DIMLIGHT 	8
-
+#define EF_BRIGHTFIELD	1
+#define EF_MUZZLEFLASH 	2
+#define EF_BRIGHTLIGHT 	4
+#define EF_DIMLIGHT 	8
+#define EF_FLAG1	16
+#define EF_FLAG2	32
 #define EF_BLUE		64
 #define EF_RED		128
 
@@ -237,6 +242,10 @@
     mspriteframedesc_t frames[1];
 } msprite_t;
 
+#ifdef QW_HACK
+extern byte player_8bit_texels[320 * 200];
+#endif
+
 /*
 ==============================================================================
 
@@ -298,7 +307,9 @@
     int posedata;		// numposes*poseverts trivert_t
     int commands;		// gl command list with embedded s/t
     int gl_texturenum[MAX_SKINS][4];
+#ifdef NQ_HACK
     int texels[MAX_SKINS];	// only for player skins
+#endif
     maliasframedesc_t frames[0];	// variable sized
 } aliashdr_t;
 
@@ -396,6 +407,11 @@
     byte *lightdata;
     char *entities;
 
+#ifdef QW_HACK
+    unsigned checksum;
+    unsigned checksum2;
+#endif
+
 //
 // additional model data
 //
diff -urN -X exclude a/QW/client/gl_model.h head/QW/client/gl_model.h
--- a/QW/client/gl_model.h	2006-06-10 18:57:16.000000000 +0930
+++ head/QW/client/gl_model.h	2006-06-10 20:55:04.000000000 +0930
@@ -21,13 +21,16 @@
 #ifndef GL_MODEL_H
 #define GL_MODEL_H
 
-#include "bothdefs.h"
 #include "bspfile.h"
-#include "render.h"
 #include "modelgen.h"
+#include "render.h"
 #include "spritegn.h"
 #include "zone.h"
 
+#ifdef QW_HACK
+#include "bothdefs.h"
+#endif
+
 /*
 
 d*_t structures are on-disk representations
@@ -37,10 +40,10 @@
 
 // entity effects
 
-#define	EF_BRIGHTFIELD	1
-#define	EF_MUZZLEFLASH 	2
-#define	EF_BRIGHTLIGHT 	4
-#define	EF_DIMLIGHT 	8
+#define EF_BRIGHTFIELD	1
+#define EF_MUZZLEFLASH 	2
+#define EF_BRIGHTLIGHT 	4
+#define EF_DIMLIGHT 	8
 #define EF_FLAG1	16
 #define EF_FLAG2	32
 #define EF_BLUE		64
@@ -239,7 +242,9 @@
     mspriteframedesc_t frames[1];
 } msprite_t;
 
+#ifdef QW_HACK
 extern byte player_8bit_texels[320 * 200];
+#endif
 
 /*
 ==============================================================================
@@ -302,6 +307,9 @@
     int posedata;		// numposes*poseverts trivert_t
     int commands;		// gl command list with embedded s/t
     int gl_texturenum[MAX_SKINS][4];
+#ifdef NQ_HACK
+    int texels[MAX_SKINS];	// only for player skins
+#endif
     maliasframedesc_t frames[0];	// variable sized
 } aliashdr_t;
 
@@ -399,8 +407,10 @@
     byte *lightdata;
     char *entities;
 
+#ifdef QW_HACK
     unsigned checksum;
     unsigned checksum2;
+#endif
 
 //
 // additional model data
@@ -416,6 +426,7 @@
 model_t *Mod_ForName(char *name, qboolean crash);
 void *Mod_Extradata(model_t *mod);	// handles caching
 void Mod_TouchModel(char *name);
+void Mod_Print(void);
 
 mleaf_t *Mod_PointInLeaf(float *p, model_t *model);
 byte *Mod_LeafPVS(mleaf_t *leaf, model_t *model);
